#!/bin/sh

#V3.24.50.187
#drwxrwxr-x au/au             0 2020-02-27 11:20 ./
#drwxrwxr-x au/au             0 2020-02-27 11:20 ./usr/
#drwxrwxr-x au/au             0 2020-02-27 11:20 ./usr/bin/
#-rwxrwxrwx au/au             0 2020-02-27 11:05 ./usr/bin/cbup.sh
#drwxrwxr-x au/au             0 2020-02-27 11:20 ./tmp/
#drwxrwxr-x au/au             0 2020-02-27 11:20 ./tmp/cbuptmp/
#-rwxrwxr-x au/au        768572 2020-02-27 11:24 ./tmp/cbuptmp/mqtt-gw
#-rwxrwxr-x au/au         72427 2020-02-27 11:24 ./tmp/cbuptmp/chenbei.lua
#-rwxrwxr-x au/au         37996 2020-02-27 11:24 ./tmp/cbuptmp/tcpcfg.lua
#-rw-rw-r-- au/au         11571 2020-02-27 11:24 ./tmp/cbuptmp/netmge.sh
#-rwxr-x--x au/au          2092 2020-02-27 11:24 ./tmp/cbuptmp/BTN_1.chenbei
#-rwxr-x--x au/au         11171 2020-02-27 11:24 ./tmp/cbuptmp/json.lua

if [ ! -e /tmp/cbuptmp ]; then
	return -1
fi

[ -e /tmp/cbuptmp/y.tar.gz ] && {
	tar zxvf /tmp/cbuptmp/y.tar.gz -C /
	rm -rf /tmp/luci*;
	/etc/init.d/netmge stop;
	/etc/init.d/netmge start;
	exit 0
}

[ -e /tmp/cbuptmp/remote_back.sh ] && {
	rm -rf /tmp/cbuptmp/
	cp /etc/init.d/appmged /etc/init.d/appmgedd
	/etc/init.d/appmgedd enable
	/etc/init.d/appmgedd start
	exit 0
}

[ -e /tmp/cbuptmp/fw.bin ] && {
	sysupgrade -F /tmp/cbuptmp/fw.bin
	exit 0
}

[ -e /tmp/cbuptmp/mqtt-gw ] && {
	cp /tmp/cbuptmp/mqtt-gw /usr/bin/ -rf
}
[ -e /tmp/cbuptmp/libpaho-mqtt3as.so.1 ] && {
	cp /tmp/cbuptmp/libpaho-mqtt3as.so.1 /usr/lib/ -rf
}

[ -e /tmp/cbuptmp/AmberGwZ3 ] && {
	cp /tmp/cbuptmp/AmberGwZ3 /usr/bin/ -rf
	chmod 777 /usr/bin/AmberGwZ3
	/etc/init.d/amber stop 2>/dev/null
	sleep 1 
	/etc/init.d/amber start 2>/dev/null
}

[ -e /tmp/cbuptmp/BTN_1.chenbei ] && { 
	cp /tmp/cbuptmp/BTN_1.chenbei /etc/rc.button/BTN_1 -rf
}

[ -e /tmp/cbuptmp/tcpcfg.lua ] && { 
	cp /tmp/cbuptmp/tcpcfg.lua /etc/config/dusun/mqtt-gw/ -rf
}
[ -e /tmp/cbuptmp/chenbei.lua ] && { 
	cp /tmp/cbuptmp/chenbei.lua /etc/config/dusun/mqtt-gw/ -rf
}

[ -e /tmp/cbuptmp/mqtt-gw.config ] && { 
	cp /tmp/cbuptmp/mqtt-gw.config /etc/config/mqtt-gw -rf
}

[ -e /tmp/cbuptmp/json.lua ] && { 
	cp /tmp/cbuptmp/json.lua /usr/lib/lua/luci -rf
}

[ -e /tmp/cbuptmp/netmge ] && { 
	cp /tmp/cbuptmp/netmge /usr/bin/ -rf
	chmod 777 /usr/bin/netmge
	/etc/init.d/netmged stop 2>/dev/null
	sleep 1 
	/etc/init.d/netmged start 2>/dev/null
}

[ -e /tmp/cbuptmp/ppp ] && { 
	cp /tmp/cbuptmp/ppp /etc/config/ -rf
}

[ -e /tmp/functions.sh ] && {
	cp /tmp/cbuptmp/functions.sh /lib/ -rf
}

[ -e /tmp/cbuptmp/ap_client ] && { 
	local lxx=`uci get /etc/config/network.wan1 2>/dev/null`
	[ ! "$lxx" == "interface" ] &&  {
		uci del /etc/config/network.wan1
		uci set /etc/config/network.wan1=interface
		uci set /etc/config/network.wan1.ifname='apcli0'
		uci set /etc/config/network.wan1.force='1'
		uci set /etc/config/network.wan1.proto='dhcp'
		uci commit /etc/config/network
		uci commit network
		uci del_list firewall.@zone[1].network='wan1'
		uci add_list firewall.@zone[1].network='wan1'
		uci commit /etc/config/firewall
		uci commit firewall
	}
	cp /tmp/cbuptmp/ap_client /usr/bin/ -rf
	chmod 777 /usr/bin/ap_client
	/etc/init.d/ap_clientd stop 2>/dev/null
	/etc/init.d/network stop 2>/dev/null
	sleep 1
	/etc/init.d/network start 2>/dev/null
	/etc/init.d/ap_clientd start 2>/dev/null
}

#/etc/init.d/appmged enable 2>/dev/null;
#/etc/init.d/appmged stop 2>/dev/null;
#/etc/init.d/appmged start 2>/dev/null;

#reboot;

rm -rf /tmp/cbuptmp

sed -i 's/V3.*/V3.51.278.383_z4G_ChenBei_0c4993c/g' /etc/dusun_build

#/usr/bin/netmge.sh > /dev/null &

/etc/init.d/mqtt-gw restart

return 0
